try {
	for (var i = 0; i < spawnedEntities.length; i++) 
	{
		var ent = spawnedEntities[i];
				ent.setMoveSpeed(1.3);
				ent.setAttackStrength(6);
		if(ent.isAlive()) 
		{
			ent.texture = "/tenebre/" + ent.getClassType() + ".png"
			var target = ent.getEntitiesWithinRange(2);
			for(var j = 0; j < target.length; j++) 
			{
				var entj = target[j];
				
			}
			Epos = ent.getPosition();
			for(var k = 0.0; k < 5; k++)
			{
				effect.spawnParticle("portal", Epos.x + Math.random() - 1.0, Epos.y + Math.random(), Epos.z + Math.random() - 0.4, -0, 0, 0);
			}
		}
	}
}
catch(e) {}